Subject: Re: [PATCH][BNX2]: Disable MSI on 5706 if AMD 8132 bridge is present

From: Jeff Garzik <[email-masked]>
Date: Fri, 29 Sep 2006 20:38:07 -0400

David Miller wrote:
> From: Jeff Garzik <[email-masked]>
> Date: Fri, 29 Sep 2006 19:15:14 -0400
> 
>> It was completely vague as to why this incompatibility was specific to 
>> the 5706, when -- as the description noted -- the behavior is legal.
>>
>> Re-read the patch.  At no time does it say 5706 was in the wrong.
> 
> True, but it does indicate that using a masked 64-bit transaction
> for MSI instead of a true 32-bit one is considered to be quite rare.
> 
> Do you wish to put a table of all devices that do this, and at PCI
> quirk time disable PCI for everyone on the AMD chipset if even one
> such device is found in the device?
> 
> That doesn't make any sense to me.

David, rejoin reality.  You are either arguing with a fictionalized Jeff 
Garzik in your head, or constructing a classical strawman.

Let me say it for the cheap seats:  AT NO TIME DID I PROPOSE ACTION OF 
ANY KIND.  I sought clarification.  Information.

So, please, quit making stupid and incorrect assumptions about my 
intentions.  If this is indeed a rare behavior and most other MSI cases 
work with the 8132, then the patch is quite reasonable.  I see no reason 
to NAK the patch.

	Jeff